#ifndef NETWORKINTERFACE_H
#define NETWORKINTERFACE_H

#include <QObject>

class NetworkInterface : public QObject
{
    Q_OBJECT

    Q_PROPERTY(QString name READ name WRITE setName NOTIFY nameChanged FINAL)
public:
    explicit NetworkInterface(int interfaceIndex, QObject *parent = nullptr);

    QString name() const;
    void setName(const QString &newName);

signals:
    void nameChanged();
private:
    QString m_name;
};

#endif // NETWORKINTERFACE_H
